%define upstream_name HTTP_WebDAV_Client
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 8
Summary:    	WebDAV stream wrapper class
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_WebDAV_Client-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_WebDAV_Client
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request >= 1.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
RFC2518 compliant stream wrapper that allows to use WebDAV server
   resources like a regular file system from within PHP.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_WebDAV_Client.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_WebDAV_Client.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_WebDAV_Client
fi

%files
%doc docs/HTTP_WebDAV_Client/*
%{peardir}/*
%{xmldir}/HTTP_WebDAV_Client.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-8.mga8
+ Revision: 1499027
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-7.mga7
+ Revision: 1273244
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.0.2-6.mga6
+ Revision: 932433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 745618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 687301
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 516869
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 376342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 200048
- upgrade to 1.0.2
  pearized spec file

* Fri Jan 28 2011 spuhler <spuhler> 1.0.1-1.mga1
+ Revision: 42635
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_WebDAV_Client


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 594490
- update to new version 1.0.1

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-4mdv2010.1
+ Revision: 477901
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 322132
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 278925
- update to new version 1.0.0

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-8mdv2009.0
+ Revision: 236891
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.7-7mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-7mdv2007.0
+ Revision: 81868
- Import php-pear-HTTP_WebDAV_Client

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdk
- initial Mandriva package (PLD import)

